gd_carray_len(3)

NAME
gd_carray_len — returns the length of a CARRAY field in a dirfile

SYNOPSIS
#include <getdata.h>

size_t gd_carray_len(DIRFILE *dirfile, const char *field_code);

DESCRIPTION
The gd_carray_len() function queries a dirfile(5) database specified by dirfile and returns the number of length of the CARRAY field field_code. If field_code contains a valid representation suffix, it will be ignored.

The dirfile argument must point to a valid DIRFILE object previously created by a call to gd_open(3).

RETURN VALUE
Upon successful completion, gd_carray_len() returns the length of the field specified. On error, it returns zero and sets the dirfile error to a non-zero error value. Possible error values are:

GD_E_BAD_CODE
    The field specified by field_code was not found in the database.

GD_E_BAD_DIRFILE
    The supplied dirfile was invalid.

GD_E_BAD_FIELD_TYPE
    The field specified by field_code was not of CARRAY type.

GD_E_BAD_REPR
    The representation suffix specified in field_code was not recognised.

The dirfile error may be retrieved by calling gd_error(3). A descriptive error string for the last error encountered can be obtained from a call to gd_error_string(3).

SEE ALSO
dirfile(5), gd_open(3), gd_error(3), gd_error_string(3)